Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class ColorIcon

    java.lang.Object
      com.sshtools.common.ui.ColorIcon

All Implemented Interfaces:
  javax.swing.Icon

public class ColorIcon
extends java.lang.Object
implements javax.swing.Icon

DOCUMENT ME!

Constructor Summary
`ColorIcon()` Creates a new ColorIcon object.
`ColorIcon(java.awt.Color color)` Creates a new ColorIcon object.
`ColorIcon(java.awt.Color color, java.awt.Color borderColor)` Creates a new ColorIcon object.
`ColorIcon(java.awt.Color color, java.awt.Dimension size, java.awt.Color borderColor)` Creates a new ColorIcon object.

Method Summary
`int` | `getIconHeight()` DOCUMENT ME!
`int` | `getIconWidth()` DOCUMENT ME!
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)` DOCUMENT ME!
`void` | `setBorderColor(java.awt.Color borderColor)` DOCUMENT ME!
`void` | `setColor(java.awt.Color color)` DOCUMENT ME!
`void` | `setSize(java.awt.Dimension size)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorIcon

    public ColorIcon()

  Creates a new ColorIcon object.

### ColorIcon

    public ColorIcon(java.awt.Color color)

  Creates a new ColorIcon object.

Parameters:
  `color` - DOCUMENT ME!

### ColorIcon

    public ColorIcon(java.awt.Color color,
                     java.awt.Color borderColor)

  Creates a new ColorIcon object.

Parameters:
  `color` - DOCUMENT ME!
  `borderColor` - DOCUMENT ME!

### ColorIcon

    public ColorIcon(java.awt.Color color,
                     java.awt.Dimension size,
                     java.awt.Color borderColor)

  Creates a new ColorIcon object.

Parameters:
  `color` - DOCUMENT ME!
  `size` - DOCUMENT ME!
  `borderColor` - DOCUMENT ME!

Method Detail

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  DOCUMENT ME!

  Specified by:
    `paintIcon` in interface `javax.swing.Icon`
  Parameters:
    `c` - DOCUMENT ME!
    `g` - DOCUMENT ME!
    `x` - DOCUMENT ME!
    `y` - DOCUMENT ME!

### setSize

    public void setSize(java.awt.Dimension size)

  DOCUMENT ME!

  Parameters:
    `size` - DOCUMENT ME!

### setColor

    public void setColor(java.awt.Color color)

  DOCUMENT ME!

  Parameters:
    `color` - DOCUMENT ME!

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  DOCUMENT ME!

  Parameters:
    `borderColor` - DOCUMENT ME!

### getIconWidth

    public int getIconWidth()

  DOCUMENT ME!

  Specified by:
    `getIconWidth` in interface `javax.swing.Icon`
  Returns:
    DOCUMENT ME!

### getIconHeight

    public int getIconHeight()

  DOCUMENT ME!

  Specified by:
    `getIconHeight` in interface `javax.swing.Icon`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD